<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SSSPCombiner Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classSSSPCombiner.html">SSSPCombiner</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiCombiner.html#afc2384d77b522727bc9e5c6bd32242c7">bypassCombineMessages</a>(MESSAGE_ITERATOR itIn, uint_fast32_t numMessages, MESSAGE_ITERATOR itOut)</td><td class="entry"><a class="el" href="classTIGLApiCombiner.html">TIGLApiCombiner&lt; DblMessage &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSSSPCombiner.html#a81cbaaeca3521481c91490892e0931be">combineMessages</a>(MESSAGE_ITERATOR itIn, uint_fast32_t numMessages, MESSAGE_ITERATOR itOut)</td><td class="entry"><a class="el" href="classSSSPCombiner.html">SSSPCombiner</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSSSPCombiner.html#a3547cf3e14a7d57f846662a82964d001">combineMessages</a>(DblMessage &amp;newMessage, MESSAGE_ITERATOR itOut)</td><td class="entry"><a class="el" href="classSSSPCombiner.html">SSSPCombiner</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiCombiner.html#a30cf4df9966822688e2afbaef1e0d43d">TIGLApiCombiner&lt; DblMessage &gt;::combineMessages</a>(MESSAGE_ITERATOR itIn, uint_fast32_t numMessages, MESSAGE_ITERATOR itOut)</td><td class="entry"><a class="el" href="classTIGLApiCombiner.html">TIGLApiCombiner&lt; DblMessage &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiCombiner.html#a671a991a81931abff92afcf2ff088e93">TIGLApiCombiner&lt; DblMessage &gt;::combineMessages</a>(DblMessage &amp;newMessage, MESSAGE_ITERATOR itOut)</td><td class="entry"><a class="el" href="classTIGLApiCombiner.html">TIGLApiCombiner&lt; DblMessage &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiCombiner.html#ac06d71844afe085c44cde1f15d7fe47b">maxCombineMessages</a>(MESSAGE_ITERATOR itIn, uint_fast32_t numMessages, MESSAGE_ITERATOR itOut)</td><td class="entry"><a class="el" href="classTIGLApiCombiner.html">TIGLApiCombiner&lt; DblMessage &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiCombiner.html#abf2cf34e736dd01ce02d637874e8d142">maxCombineMessages</a>(DblMessage &amp;newMessage, MESSAGE_ITERATOR itOut)</td><td class="entry"><a class="el" href="classTIGLApiCombiner.html">TIGLApiCombiner&lt; DblMessage &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiCombiner.html#a34d57c2049fdd0b687e13555bc2bc78c">minCombineMessages</a>(MESSAGE_ITERATOR itIn, uint_fast32_t numMessages, MESSAGE_ITERATOR itOut)</td><td class="entry"><a class="el" href="classTIGLApiCombiner.html">TIGLApiCombiner&lt; DblMessage &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiCombiner.html#ab5a0cb65378c4a4adf4036533e9c7966">minCombineMessages</a>(DblMessage &amp;newMessage, MESSAGE_ITERATOR itOut)</td><td class="entry"><a class="el" href="classTIGLApiCombiner.html">TIGLApiCombiner&lt; DblMessage &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiCombiner.html#a4c639e11026eddf4cea7a3589c0c2dfd">sumCombineMessages</a>(MESSAGE_ITERATOR itIn, uint_fast32_t numMessages, MESSAGE_ITERATOR itOut)</td><td class="entry"><a class="el" href="classTIGLApiCombiner.html">TIGLApiCombiner&lt; DblMessage &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiCombiner.html#aab8ce5ce325271de34415b2b383772c7">sumCombineMessages</a>(DblMessage &amp;newMessage, MESSAGE_ITERATOR itOut)</td><td class="entry"><a class="el" href="classTIGLApiCombiner.html">TIGLApiCombiner&lt; DblMessage &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLApiCombiner.html#a2077cdeab13cdf1c3baa234080da70f4">TIGLApiCombiner</a>()</td><td class="entry"><a class="el" href="classTIGLApiCombiner.html">TIGLApiCombiner&lt; DblMessage &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLApiCombiner.html#a09dde79861ca7ce4fb21d45864c6177e">~TIGLApiCombiner</a>()</td><td class="entry"><a class="el" href="classTIGLApiCombiner.html">TIGLApiCombiner&lt; DblMessage &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:54 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
